public class TestCases {

    public boolean test1() throws Throwable {
        GrupoFiguras g = new GrupoFiguras();
        
        Circulo cir = new Circulo(10, 5, 3.5);
        Cilindro cil = new Cilindro(3, 5, 2, 2);
        Cubo cub = new Cubo(1.0, 2.0, 5);
        
        g.anyadeFigura(cir);
        g.anyadeFigura(cil);
        g.anyadeFigura(cub);
        
        double volumen = g.maxVolumen();

        return volumen == 125.0;
    }

    public boolean test2() throws Throwable {
        GrupoFiguras g = new GrupoFiguras();

        Circulo cir = new Circulo(10, 5, 3.5);
        Cilindro cil = new Cilindro(3, 5, 2, 2);
        Cubo cub = new Cubo(1.0, 2.0, 1.0);

        g.anyadeFigura(cir);
        g.anyadeFigura(cil);
        g.anyadeFigura(cub);
        
        double volumen = g.maxVolumen();

        return volumen == 25.132741228718345;
    }

    public boolean test3() throws Throwable {
        GrupoFiguras g = new GrupoFiguras();

        Circulo cir = new Circulo(10, 5, 3.5);
        Cilindro cil = new Cilindro(3, 5, 2, 2);
        Cubo cub = new Cubo(1.0, 2.0, 10);

        g.anyadeFigura(cir);
        g.anyadeFigura(cub);
        g.anyadeFigura(cil);
        
        double volumen = g.maxVolumen();

        return volumen == 1000.0;
    }

    public boolean test4() throws Throwable {
        GrupoFiguras g = new GrupoFiguras();

        Circulo cir = new Circulo(10, 5, 3.5);

        g.anyadeFigura(cir);

        double volumen = g.maxVolumen();

        return volumen == 0.0;
    }

    public boolean test5() throws Throwable {
        GrupoFiguras g = new GrupoFiguras();

        Cilindro cil = new Cilindro(3, 5, 2, 2);

        g.anyadeFigura(cil);

        double volumen = g.maxVolumen();

        return volumen == 25.132741228718345;
    }
}